MockAvlDesvFphaS = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  CEPEL: NEWAVE     - Versao FPHA_NEWAVE                             *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    "                                   \n",
    "____________________________________________________________________\n",
    "\n",
    "-----------------------------------------------------------------\n",
    "Desvios do modelo da funcao de producao no plano V x Q (para S=0)\n",
    "-----------------------------------------------------------------\n",
    " ---------------------------------------------\n",
    "\n",
    "                GH(FPHA) - GH(FPH)\n",
    "      DESVIO =  ------------------\n",
    "                     GH(FPH)\n",
    "\n",
    " ---------------------------------------------\n",
    "\n",
    "-----;--------------;--------;---------;---------;---------;---------;---------;---------;---------;---------;---------;---------;---------;---------;\n",
    "     ;              ; VARM   ; QTUR    ; VERT  0 ; VERT  1 ; VERT  2 ; VERT  3 ; VERT  4 ; VERT  5 ; VERT  6 ; VERT  7 ; VERT  8 ; VERT  9 ; VERT 10 ;\n",
    "-----;--------------;--------;---------;---------;---------;---------;---------;---------;---------;---------;---------;---------;---------;---------;\n",
    "USIH ;    USINA     ;  (%)   ;  (m3/s) ;     0.00;   114.60;   229.20;   343.80;   458.40;   573.00;   687.60;   802.20;   916.80;  1031.40;  1146.00;\n",
    "-----;--------------;--------;---------;---------;---------;---------;---------;---------;---------;---------;---------;---------;---------;---------;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;    25.36;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;    50.72;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;    76.08;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   101.44;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   126.80;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   152.16;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   177.51;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   202.87;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   228.23;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   253.59;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   278.95;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   304.31;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   329.67;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   355.03;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   380.39;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   405.75;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   431.11;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   456.47;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   481.83;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "   4 ; FUNIL-GRANDE ; 100.00 ;   507.19;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;     0.00;\n",
    "\n",
]
