MockNwvEcoEvap = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  CEPEL: NEWAVE     - Versao FPHA_NEWAVE                             *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "\n",
    "----------------------------------------------------------\n",
    "Eco dos dados para a Evaporacao das usinas hidroeletricas.                      \n",
    "----------------------------------------------------------\n",
    "--------------------------------------------------------------------------------------------\n",
    "IPER;          Indice do periodo                                                                                                                                                                        \n",
    "USIH;          Numero de cadastro da usina hidroeletrica                                                                                                                                                \n",
    "NomeUsih;      Nome de cadastro da usina hidroeletrica                                                                                                                                                  \n",
    "Vol. Ref.;     Volume de referencia para a montagem da equacao linear para a evaporacao                                                                                                                 \n",
    "Evap. Ref.;    Evaporacao de referencia para a montagem da equacao linear para a evaporacao.                                                                                                            \n",
    "Cfevap;        Coeficiente de evaporacao mensal (cadastro)                                                                                                                                              \n",
    "Flag Evap;     Flag para considerar a evaporacao.                                                                                                                                                       \n",
    "Evap. Linear;  Flag para considerar o modelo linear para a evaporacao.                                                                                                                                  \n",
    "Tip. Vol. Ref; Flag do tipo de volume de referencia: 0 - inicial; 1 - util medio.                                                                                                                       \n",
    "--------------------------------------------------------------------------------------------\n",
    "\n",
    "@Tabela\n",
    "-----;-----;--------------;-----------;-----------;--------;-----------;------------;---------------;\n",
    "IPER ;USIH ;   NomeUsih   ; Vol. Ref. ;Evap. Ref. ; Cfevap ; Flag Evap ;Evap. Linear; Tip. Vol. Ref ;\n",
    "  -  ;  -  ;      -       ;    HM3    ;    HM3    ;(mm/mes);     -     ;      -     ;       -       ;\n",
    "-----;-----;--------------;-----------;-----------;--------;-----------;------------;---------------;\n",
    "   1 ; 004 ; FUNIL-GRANDE ;   265.86  ;     0.23  ;     6  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 020 ; BATALHA      ;  1105.83  ;     0.00  ;     0  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 021 ; SERRA FACAO  ;  3475.50  ;     0.94  ;     6  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 027 ; CAPIM BRANC1 ;   234.70  ;     0.06  ;     2  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 028 ; CAPIM BRANC2 ;   867.55  ;     0.11  ;     2  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 029 ; CORUMBA IV   ;  3322.30  ;     2.90  ;    19  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 048 ; PIRAJU       ;   105.42  ;     0.38  ;    30  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 066 ; ITAIPU       ; 27914.01  ;    18.18  ;    14  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 131 ; NILO PECANHA ;     9.00  ;     0.00  ;     0  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 132 ; FONTES       ;   393.81  ;     0.00  ;     0  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 141 ; BAGUARI      ;    32.46  ;    -0.14  ;   -11  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 153 ; SAO DOMINGOS ;   131.30  ;     0.25  ;    13  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 155 ; RETIRO BAIXO ;   221.15  ;    -0.45  ;   -21  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 156 ; TRES MARIAS  ; 11889.00  ;    -0.72  ;    -1  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 162 ; QUEIMADO     ;   326.12  ;     0.71  ;    21  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 195 ; JAURU        ;    16.92  ;     0.04  ;    17  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 196 ; GUAPORE      ;    22.46  ;     0.07  ;    16  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 203 ; CORUMBA III  ;   840.50  ;     0.78  ;    12  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 227 ; SINOP        ;  2041.80  ;    13.30  ;    26  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 228 ; COLIDER      ;  1495.39  ;     3.27  ;    24  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 229 ; TELES PIRES  ;   961.11  ;     5.56  ;    40  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 230 ; SAO MANOEL   ;   566.12  ;     2.69  ;    43  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 241 ; SLT VERDINHO ;   392.58  ;     0.51  ;    14  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 249 ; OURINHOS     ;    20.86  ;     0.13  ;    29  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 251 ; SERRA MESA   ; 32775.00  ;    32.13  ;    27  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 252 ; CANA BRAVA   ;  2237.79  ;     4.30  ;    31  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 253 ; SAO SALVADOR ;   936.28  ;     3.33  ;    32  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 257 ; PEIXE ANGIC  ;  2476.85  ;     6.34  ;    24  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 261 ; LAJEADO      ;  5003.06  ;     7.51  ;    12  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 262 ; SALTO        ;   820.42  ;     0.72  ;    12  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 276 ; RONDON II    ;   335.23  ;     0.78  ;    13  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 281 ; PONTE PEDRA  ;    92.56  ;     0.31  ;    16  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 285 ; JIRAU        ;  2746.70  ;   -24.85  ;   -80  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 287 ; STO ANTONIO  ;  2282.80  ;   -23.41  ;   -80  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 290 ; ESPORA       ;   140.00  ;     0.25  ;    10  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 304 ; ITIQUIRA I   ;     4.99  ;     0.03  ;    12  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 305 ; ITIQUIRA II  ;     1.00  ;     0.00  ;    12  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 310 ; DARDANELOS   ;     0.89  ;     0.01  ;    31  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 311 ; CACU         ;   211.60  ;     0.19  ;    12  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 312 ; B. COQUEIROS ;   321.43  ;     0.31  ;    12  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 315 ; FOZ R. CLARO ;    96.72  ;    -0.13  ;   -17  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 319 ; FICT.MAUA    ;  1805.00  ;    -2.41  ;   -32  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 117 ; GUARAPIRANGA ;    95.37  ;     0.27  ;    12  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 118 ; BILLINGS     ;   566.82  ;     0.85  ;    10  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 119 ; HENRY BORDEN ;     0.46  ;     0.00  ;     0  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 120 ; JAGUARI      ;   839.50  ;    -1.29  ;   -31  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 121 ; PARAIBUNA    ;  3414.00  ;    -4.91  ;   -35  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 122 ; SANTA BRANCA ;   285.00  ;    -0.48  ;   -25  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 123 ; FUNIL        ;   585.50  ;    -1.17  ;   -40  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 124 ; LAJES        ;   222.68  ;    -1.14  ;   -38  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 126 ; PICADA       ;     6.85  ;    -0.04  ;   -25  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 127 ; SOBRAGI      ;     0.09  ;     0.00  ;   -31  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 129 ; SIMPLICIO    ;    13.45  ;    -0.51  ;   -45  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 130 ; ILHA POMBOS  ;     5.79  ;     0.06  ;    16  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 133 ; P. PASSOS    ;    16.26  ;    -0.04  ;   -39  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 134 ; SALTO GRANDE ;    67.86  ;    -0.25  ;   -43  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 135 ; P. ESTRELA   ;    72.50  ;    -0.09  ;   -26  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 139 ; CANDONGA     ;    14.06  ;    -0.05  ;   -41  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 143 ; AIMORES      ;   179.25  ;    -0.70  ;   -22  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 144 ; MASCARENHAS  ;    21.68  ;    -0.18  ;   -46  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 192 ; GUILMAN-AMOR ;    11.33  ;    -0.04  ;   -38  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 193 ; SA CARVALHO  ;     1.53  ;    -0.01  ;   -18  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 217 ; ROSAL        ;    17.19  ;    -0.02  ;   -13  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 279 ; SAMUEL       ;  2218.33  ;    13.05  ;    32  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 148 ; IRAPE        ;  4115.93  ;    -1.80  ;   -18  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 283 ; STA CLARA MG ;   148.40  ;    -0.19  ;   -25  ;     1     ;     1      ;     1         ;\n",
    "   1 ; 001 ; CAMARGOS     ;   456.00  ;     0.00  ;     0  ;     1     ;     1      ;     1         ;\n",
    "\n",
]
